Home DigiTech Software

NexusSetup_Mac_Version_1.0.1-mac dont work in macbook Catalina 10.15.1

Someone knows why?

Comments

  • i dont have problems with the instalation but it shows like this when installed:

    https://ibb.co/VVqLvpG

  • I contacted tech support about this issue and this was their answer back:

    “ As of now, we’re aware the Nexus Librarian application Mac version is not compatible with the new Catalina OS, but we also have no exact schedule/timeframe/ETA for an updated version at this time.”

  • Same problem boxes appears instead of letters, please update !! I can't arrange anymore presets for my gigs from the computer !!

  • We have an active escalation for this, we are hoping for an timely fix. In the meantime you can use the Nexus Librarian on a previous OS with no issues. I would recommend a Dual Boot OS with 10.14 or lower.

  • BazBaz Posts: 3

    Unacceptable... SOMEONE PLEASE FIX THIS ASAP! That is all...

  • HARMAN_EEldeHARMAN_EElde Posts: 610

    @Baz said:
    Unacceptable... SOMEONE PLEASE FIX THIS ASAP! That is all...

    It is being fixed - that is all the info I have. I have no schedule or ETA or I would impart this to everyone.

  • BazBaz Posts: 3

    Good day Digitech... has there been any "fixes" regarding the Digitech and Mac Catalina compatibility issue(s)?

  • HARMAN_EEldeHARMAN_EElde Posts: 610

    We do not have a Nexus Librarian version compatible with Catalina as of now no. It will work with 10.14 and lower.

  • acubaacuba Posts: 11

    so what is now with fix? I have same story...not usable

  • HARMAN_EEldeHARMAN_EElde Posts: 610

    @acuba said:
    so what is now with fix? I have same story...not usable

    It will be released we hope soon, would recommend using Mac OS 10.14 or lower in the meantime.

  • acubaacuba Posts: 11

    Please release compatibility fix for MAC OS 10.15.5 asap

  • HARMAN_EEldeHARMAN_EElde Posts: 610

    It is being worked on, no Schedule or ETA

  • EmileSEmileS Posts: 1

    So you've just lost a customer.

    Not being able to use this software on my Mac (Downgrade my MacOS .. Are you on drugs??) is unacceptable.
    Not giving an ETA is unacceptable.

    I WILL NEVER BUY A DIGITECH PRODUCT AGAIN IN MY LIFE AND WILL TELL EVERYONE WHAT SHIT SW SUPPORT YOU PROVIDE.

  • HARMAN_EEldeHARMAN_EElde Posts: 610
    edited July 14

    @EmileS said:
    So you've just lost a customer.

    Not being able to use this software on my Mac (Downgrade my MacOS .. Are you on drugs??) is unacceptable.
    Not giving an ETA is unacceptable.

    I WILL NEVER BUY A DIGITECH PRODUCT AGAIN IN MY LIFE AND WILL TELL EVERYONE WHAT SHIT SW SUPPORT YOU PROVIDE.

    As is completely at your discretion to do so and hopefully you can find something that works for you! I really sincerely hope you find a better product and I really wish you nothing but the best. Take care and be safe out there Emile!

Sign In or Register to comment.